# Jockbot MLB

[![Language grade: Python](https://img.shields.io/lgtm/grade/python/g/jalgraves/jockbot_mlb.svg?logo=lgtm&logoWidth=18)](https://lgtm.com/projects/g/jalgraves/jockbot_mlb/context:python) [![PyPI version](https://badge.fury.io/py/jockbot-mlb.svg)](https://badge.fury.io/py/jockbot-mlb) [![Maintainability](https://api.codeclimate.com/v1/badges/69872c9b3fc0e661a9c8/maintainability)](https://codeclimate.com/github/jalgraves/jockbot_mlb/maintainability)

[![CircleCI](https://circleci.com/gh/jalgraves/jockbot_mlb.svg?style=svg)](https://circleci.com/gh/jalgraves/jockbot_mlb)

### Interact with MLB API
---

## Installation
    pip3 install jockbot_mlb
---
## Usage
    > from jocbot_mlb import MLB, MLBTeam
    > mlb = MLB()
    > mlb.todays_games
    > [{'date': '2019-03-29', 'start_time': '6:07', 'home_team': 'Toronto Blue Jays', 'away_team': 'Detroit Tigers', 'home_team_score': None, 'away_team_score': None, 'home_team_record': {'wins': 0, 'losses': 1, 'pct': '.000'}, 'away_team_record': {'wins': 1, 'losses': 0, 'pct': '1.000'}}, {'date': '2019-03-29', 'start_time': '6:10', 'home_team': 'Miami Marlins', 'away_team': 'Colorado Rockies', 'home_team_score': None, 'away_team_score': None, 'home_team_record': {'wins': 0, 'losses': 1, 'pct': '.000'}, 'away_team_record': {'wins': 1, 'losses': 0, 'pct': '1.000'}}, {'date': '2019-03-29', 'start_time': '6:10', 'home_team': 'Tampa Bay Rays', 'away_team': 'Houston Astros', 'home_team_score': None, 'away_team_score': None, 'home_team_record': {'wins': 0, 'losses': 1, 'pct': '.000'}, 'away_team_record': {'wins': 1, 'losses': 0, 'pct': '1.000'}}, {'date': '2019-03-30', 'start_time': '7:10', 'home_team': 'Milwaukee Brewers', 'away_team': 'St. Louis Cardinals', 'home_team_score': None, 'away_team_score': None, 'home_team_record': {'wins': 1, 'losses': 0, 'pct': '1.000'}, 'away_team_record': {'wins': 0, 'losses': 1, 'pct': '.000'}}, {'date': '2019-03-30', 'start_time': '9:07', 'home_team': 'Oakland Athletics', 'away_team': 'Los Angeles Angels', 'home_team_score': None, 'away_team_score': None, 'home_team_record': {'wins': 1, 'losses': 2, 'pct': '.333'}, 'away_team_record': {'wins': 0, 'losses': 1, 'pct': '.000'}}, {'date': '2019-03-30', 'start_time': '9:10', 'home_team': 'Seattle Mariners', 'away_team': 'Boston Red Sox', 'home_team_score': None, 'away_team_score': None, 'home_team_record': {'wins': 3, 'losses': 0, 'pct': '1.000'}, 'away_team_record': {'wins': 0, 'losses': 1, 'pct': '.000'}}, {'date': '2019-03-30', 'start_time': '9:10', 'home_team': 'San Diego Padres', 'away_team': 'San Francisco Giants', 'home_team_score': None, 'away_team_score': None, 'home_team_record': {'wins': 1, 'losses': 0, 'pct': '1.000'}, 'away_team_record': {'wins': 0, 'losses': 1, 'pct': '.000'}}, {'date': '2019-03-30', 'start_time': '9:10', 'home_team': 'Los Angeles Dodgers', 'away_team': 'Arizona Diamondbacks', 'home_team_score': None, 'away_team_score': None, 'home_team_record': {'wins': 1, 'losses': 0, 'pct': '1.000'}, 'away_team_record': {'wins': 0, 'losses': 1, 'pct': '.000'}}]
    > mlb.yesterdays_games
    > [{'date': '2019-03-28', 'start_time': '0:05', 'home_team': 'Washington Nationals', 'away_team': 'New York Mets', 'home_team_score': 0, 'away_team_score': 2, 'home_team_record': {'wins': 0, 'losses': 1, 'pct': '.000'}, 'away_team_record': {'wins': 1, 'losses': 0, 'pct': '1.000'}}, {'date': '2019-03-28', 'start_time': '0:05', 'home_team': 'New York Yankees', 'away_team': 'Baltimore Orioles', 'home_team_score': 7, 'away_team_score': 2, 'home_team_record': {'wins': 1, 'losses': 0, 'pct': '1.000'}, 'away_team_record': {'wins': 0, 'losses': 1, 'pct': '.000'}}, {'date': '2019-03-28', 'start_time': '1:10', 'home_team': 'Milwaukee Brewers', 'away_team': 'St. Louis Cardinals', 'home_team_score': 5, 'away_team_score': 4, 'home_team_record': {'wins': 1, 'losses': 0, 'pct': '1.000'}, 'away_team_record': {'wins': 0, 'losses': 1, 'pct': '.000'}}, {'date': '2019-03-28', 'start_time': '2:05', 'home_team': 'Philadelphia Phillies', 'away_team': 'Atlanta Braves', 'home_team_score': 10, 'away_team_score': 4, 'home_team_record': {'wins': 1, 'losses': 0, 'pct': '1.000'}, 'away_team_record': {'wins': 0, 'losses': 1, 'pct': '.000'}}, {'date': '2019-03-28', 'start_time': '2:37', 'home_team': 'Toronto Blue Jays', 'away_team': 'Detroit Tigers', 'home_team_score': 0, 'away_team_score': 2, 'home_team_record': {'wins': 0, 'losses': 1, 'pct': '.000'}, 'away_team_record': {'wins': 1, 'losses': 0, 'pct': '1.000'}}, {'date': '2019-03-28', 'start_time': '3:00', 'home_team': 'Tampa Bay Rays', 'away_team': 'Houston Astros', 'home_team_score': 1, 'away_team_score': 5, 'home_team_record': {'wins': 0, 'losses': 1, 'pct': '.000'}, 'away_team_record': {'wins': 1, 'losses': 0, 'pct': '1.000'}}, {'date': '2019-03-28', 'start_time': '3:05', 'home_team': 'Texas Rangers', 'away_team': 'Chicago Cubs', 'home_team_score': 4, 'away_team_score': 12, 'home_team_record': {'wins': 0, 'losses': 1, 'pct': '.000'}, 'away_team_record': {'wins': 1, 'losses': 0, 'pct': '1.000'}}, {'date': '2019-03-28', 'start_time': '3:07', 'home_team': 'Oakland Athletics', 'away_team': 'Los Angeles Angels', 'home_team_score': 4, 'away_team_score': 0, 'home_team_record': {'wins': 1, 'losses': 2, 'pct': '.333'}, 'away_team_record': {'wins': 0, 'losses': 1, 'pct': '.000'}}, {'date': '2019-03-28', 'start_time': '3:10', 'home_team': 'Cincinnati Reds', 'away_team': 'Pittsburgh Pirates', 'home_team_score': 5, 'away_team_score': 3, 'home_team_record': {'wins': 1, 'losses': 0, 'pct': '1.000'}, 'away_team_record': {'wins': 0, 'losses': 1, 'pct': '.000'}}, {'date': '2019-03-28', 'start_time': '3:10', 'home_team': 'San Diego Padres', 'away_team': 'San Francisco Giants', 'home_team_score': 2, 'away_team_score': 0, 'home_team_record': {'wins': 1, 'losses': 0, 'pct': '1.000'}, 'away_team_record': {'wins': 0, 'losses': 1, 'pct': '.000'}}, {'date': '2019-03-28', 'start_time': '3:10', 'home_team': 'Miami Marlins', 'away_team': 'Colorado Rockies', 'home_team_score': 3, 'away_team_score': 6, 'home_team_record': {'wins': 0, 'losses': 1, 'pct': '.000'}, 'away_team_record': {'wins': 1, 'losses': 0, 'pct': '1.000'}}, {'date': '2019-03-28', 'start_time': '3:10', 'home_team': 'Minnesota Twins', 'away_team': 'Cleveland Indians', 'home_team_score': 2, 'away_team_score': 0, 'home_team_record': {'wins': 1, 'losses': 0, 'pct': '1.000'}, 'away_team_record': {'wins': 0, 'losses': 1, 'pct': '.000'}}, {'date': '2019-03-28', 'start_time': '3:10', 'home_team': 'Los Angeles Dodgers', 'away_team': 'Arizona Diamondbacks', 'home_team_score': 12, 'away_team_score': 5, 'home_team_record': {'wins': 1, 'losses': 0, 'pct': '1.000'}, 'away_team_record': {'wins': 0, 'losses': 1, 'pct': '.000'}}, {'date': '2019-03-28', 'start_time': '3:15', 'home_team': 'Kansas City Royals', 'away_team': 'Chicago White Sox', 'home_team_score': 5, 'away_team_score': 3, 'home_team_record': {'wins': 1, 'losses': 0, 'pct': '1.000'}, 'away_team_record': {'wins': 0, 'losses': 1, 'pct': '.000'}}, {'date': '2019-03-28', 'start_time': '6:10', 'home_team': 'Seattle Mariners', 'away_team': 'Boston Red Sox', 'home_team_score': 12, 'away_team_score': 4, 'home_team_record': {'wins': 3, 'losses': 0, 'pct': '1.000'}, 'away_team_record': {'wins': 0, 'losses': 1, 'pct': '.000'}}]

To be continued...